Scala 2.8 _projects_

hi,

with the help of ilya's hints i managed to build the scala plug-in from SVN for "maia". however, when i create a new project and choose to add the scala technology, i still only have the option to go as high as scala 2.7.5.... for me, it was the whole point of trying out IDEA to see if it works better with the scala 2.8 snapshots. now reading the thread "Yes, and how about Scala 2.8" i am still unsure whether you are saying that _projects_ in scala 2.8 are supported or not supported. is it that only the plug-in is developed in 2.8 but the IDE doesn't support 2.8 projects? that would be very disappointing...

thanks for clarification!  best, -sciss-

1 comment
Comment actions Permalink

We cannot download 2.8, because it's not released. So you should manually download nightly build of Scala 2.8, and attach to your project scala-compiler.jar and scala-library.jar.
Naming and default parameters are not supported in plugin yet (I'll add it in august), but other things you can use, because it's same as for 2.7.

Best regards,
Alexander Podkhalyuzin.

0

Please sign in to leave a comment.